MSKANJI(5)

NAME
mskanji - Shift-JIS (MS Kanji) encoding for Japanese text

SYNOPSIS
ENCODING "MSKanji"

DESCRIPTION
Shift-JIS, also known as MS Kanji or SJIS, is an encoding system for Japanese characters, developed by Microsoft Corporation. It encodes the characters from the JIS X 0201 (ASCII/JIS-Roman) and JIS X 0208 (Japanese) character sets as sequences of either one or two bytes.

Characters from the ASCII /JIS-Roman character set are encoded as single bytes between 0x00 and 0x7F (ASCII) or 0xA1 and 0xDF (Half-width katakana).

Characters from the JIS X 0208 character set are encoded as two bytes. The first ranges from 0x81 - 0x9F, 0xE0 - 0xEA, 0xED - 0xEE (not JIS: NEC- selected IBM extended characters), 0xF0 - 0xF9 (not JIS: user defined), or 0xFA - 0xFC (not JIS: IBM extended characters). The second byte ranges from 0x40 - 0xFC, excluding 0x7F (delete).

SEE ALSO
euc(5), utf8(5)